Used to pass options to UserSession.getFile

### Hierarchy

- GetFileUrlOptions
  - GetFileOptions

## Index

### Properties

- app
- decrypt
- username
- verify
- zoneFileLookupURL

## Properties

### Optional app

app: string

Inherited from GetFileUrlOptions.app

- Defined in storage/index.ts:393

The app to lookup for multi-player storage - defaults to current origin.

default

  `window.location.origin` Only if available in the executing environment, otherwise `undefined`.

### Optional decrypt

decrypt: boolean

- Defined in storage/index.ts:409

Try to decrypt the data with the app private key.

default

  true

### Optional username

username: string

Inherited from GetFileUrlOptions.username

- Defined in storage/index.ts:387

The Blockstack ID to lookup for multi-player storage. If not specified, the currently signed in username is used.

### Optional verify

verify: boolean

- Defined in storage/index.ts:415

Whether the content should be verified, only to be used when UserSession.putFile was set to `sign = true`.

default

  false

### Optional zoneFileLookupURL

zoneFileLookupURL: string

Inherited from GetFileUrlOptions.zoneFileLookupURL

- Defined in storage/index.ts:398

The URL to use for zonefile lookup. If falsey, this will use the blockstack.js's getNameInfo function instead.

Generated using TypeDoc